Bug 60664 - Add a UI menu to set log level
Summary: Add a UI menu to set log level
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 3.1
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on: 60589
Blocks:
  Show dependency tree
 
Reported: 2017-01-30 16:01 UTC by Woonsan Ko
Modified: 2017-02-14 20:49 UTC (History)
1 user (show)



Attachments
Log Level menu to set level to DEBUG for example (377.29 KB, image/png)
2017-02-13 21:05 UTC, Woonsan Ko
Details
Logs showing DEBUG level after changing it to DEBUG (from INFO, the default level) as an example (397.44 KB, image/png)
2017-02-13 21:07 UTC, Woonsan Ko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Woonsan Ko 2017-01-30 16:01:36 UTC
At the moment, users change the log level in either logging configuration file or command line argument (e.g, -L DEBUG).
It would be nice if it is possible to change the log level at runtime through a menu item.
Comment 1 Philippe Mouawad 2017-01-30 19:42:36 UTC
+1 .
Note there is also a way by selecting element and using menu Help > Enable Debug which will switch element log level to debug
Comment 2 Woonsan Ko 2017-01-31 06:13:05 UTC
(In reply to Philippe Mouawad from comment #1)
> +1 .
> Note there is also a way by selecting element and using menu Help > Enable
> Debug which will switch element log level to debug
Thanks for the pointer!
I've pushed more in https://github.com/apache/jmeter/pull/254 to restore the features (Help > En(Dis)able Debug menu items).
BTW, the menu items en(dis)able debug log level on the currently selected test element class FQCN category, which is a bit ambiguous (to me at least). So, I added info logging when en(dis)abling log levels with the menu items.
Comment 3 Woonsan Ko 2017-02-13 21:05:47 UTC
Created attachment 34753 [details]
Log Level menu to set level to DEBUG for example
Comment 4 Woonsan Ko 2017-02-13 21:07:56 UTC
Created attachment 34754 [details]
Logs showing DEBUG level after changing it to DEBUG (from INFO, the default level) as an example
Comment 5 Philippe Mouawad 2017-02-14 20:46:55 UTC
Author: pmouawad
Date: Tue Feb 14 20:46:40 2017
New Revision: 1783025

URL: http://svn.apache.org/viewvc?rev=1783025&view=rev
Log:
Bug 60664 - Add a UI menu to set log level
Contributed by Woonsan Ko
This closes #275
Bugzilla Id: 60664

Added:
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/LogLevelCommand.java   (with props)
Modified:
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/ActionNames.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/JMeterMenuBar.java
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
    jmeter/trunk/xdocs/changes.xml
Comment 6 Philippe Mouawad 2017-02-14 20:49:53 UTC
Author: pmouawad
Date: Tue Feb 14 20:48:52 2017
New Revision: 1783027

URL: http://svn.apache.org/viewvc?rev=1783027&view=rev
Log:
Bug 60731 - OOM on BackendListener with TIME box mode
Bugzilla Id: 60731

Modified:
    jmeter/trunk/bin/jmeter.properties
    jmeter/trunk/xdocs/usermanual/properties_reference.xml